summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 456cdf6)
raw | patch | inline | side by side (parent: 456cdf6)
author | Chris Wright <chrisw@sous-sol.org> | |
Tue, 20 Mar 2007 02:18:18 +0000 (19:18 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 20 Mar 2007 06:46:30 +0000 (23:46 -0700) |
We already have -q in git clone. So for those who care to suppress
the noise during an http based clone, make -q actually do a quiet
http fetch.
Signed-off-by: Chris Wright <chrisw@sous-sol.org>
Cc: Fernando Herrera <fherrera@onirica.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
the noise during an http based clone, make -q actually do a quiet
http fetch.
Signed-off-by: Chris Wright <chrisw@sous-sol.org>
Cc: Fernando Herrera <fherrera@onirica.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-clone.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index de51983584bb0fd015ed75704b72bec8fdb55430..6ba477d1f4ee16c20e3fee7dd881f1645bcb80f1 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
http_fetch "$1/info/refs" "$clone_tmp/refs" ||
die "Cannot get remote repository information.
Perhaps git-update-server-info needs to be run there?"
+ test "z$quiet" = z && v=-v || v=
while read sha1 refname
do
name=`expr "z$refname" : 'zrefs/\(.*\)'` &&
else
tname=$name
fi
- git-http-fetch -v -a -w "$tname" "$name" "$1/" || exit 1
+ git-http-fetch $v -a -w "$tname" "$name" "$1/" || exit 1
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||